package com.sun.ts.tests.jaxrpc.wsi.w2j.rpc.literal.R1109;

import com.sun.ts.tests.jaxrpc.common.RequestConformanceChecker;

import javax.xml.rpc.handler.soap.SOAPMessageContext;
import javax.xml.soap.*;

public class R1109ConformanceChecker extends RequestConformanceChecker{

  public void test(SOAPMessageContext context) throws SOAPException{
    test(context.getMessage().getMimeHeaders());
  }

  private void test(MimeHeaders headers){
    String [] soapAction = headers.getHeader(com.sun.ts.tests.jaxrpc.wsi.constants.SOAPConstants.SOAP_ACTION_HEADER_NAME);
    if(!(soapAction[0].startsWith("\"") || soapAction[0].startsWith("\'"))
        || !(soapAction[0].endsWith("\"") || soapAction[0].endsWith("\'"))){
      response = "failed. The value of SOAPAction http header must" +
                    " be quoted (BP-R1109).";
    }
  }
}
